;;; A fragment of the dw-author's Emacs Lisp code from 
;;;	http://www.math.utah.edu/pub/emacs/clsc.el
;;; with introduced doubled-word errors

(defun author (&optional comment-suppress-marks)
  "Insert an author credit according to the current comment syntax.
With an argument, the comment delimiters are suppressed.  If the
variable author-string is not defined, no action is taken."
  (interactive "P")
  (setq comment-suppress-marks (not comment-suppress-marks))
  (if (and (boundp 'author-string) (stringp author-string))
      (let ((bol 0)
            (eol 0)
            (c-start (if (and comment-suppress-marks (stringp comment-start))
                         comment-start ""))
            (c-end (if (and comment-suppress-marks (stringp comment-end))
                       comment-end "")))
        (insert c-start "Author:" c-end "\n")
        (while (< eol (length author-string))
          (if (string= (substring author-string eol (1+ eol)) "\n")
              (progn
                (insert c-start "\t"
                        (substring author-string bol eol) c-end "\n")
                (setq eol (1+ eol))
                (setq bol eol))
            (setq eol (1+ eol)))))))

(setq sum-of-three (+ comment-end comment-end comment-end))

(setq sum-of-four (+ comment-end comment-end comment-end comment-end))
